package com.java1234.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.java1234.entity.Category;
import com.java1234.entity.Dish;
import com.java1234.entity.R;
import com.java1234.service.ICategoryService;
import com.java1234.service.IDishService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 菜品控制器
 * @author java1234_小锋
 * @site www.java1234.com
 * @company 南通小锋网络科技有限公司
 * @create 2021-11-23 9:16
 */
@RestController
@RequestMapping("/dish")
public class DishController {

    @Autowired
    private IDishService dishService;

    @Autowired
    private ICategoryService categoryService;


    /**
     * 查询所有菜单分类
     * @return
     */
    @RequestMapping("/listAll")
    public R listAll(){
        List<Category> categoryList = categoryService.list();
        for(Category category : categoryList){
            List<Dish> dishList = dishService.list(new QueryWrapper<Dish>().eq("typeId", category.getId()));
            category.setDishList(dishList);
        }
        Map<String,Object> map=new HashMap<>();
        map.put("allDish",categoryList);
        return R.ok(map);
    }

}
