package com.java1234.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.java1234.entity.Order;
import com.java1234.entity.OrderDetail;
import com.java1234.entity.R;
import com.java1234.service.IOrderDetailService;
import com.java1234.service.IOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 订单控制器
 * @author java1234_小锋
 * @site www.java1234.com
 * @company 南通小锋网络科技有限公司
 */
@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private IOrderService orderService;

    @Autowired
    private IOrderDetailService orderDetailService;

    /**
     * 创建订单
     * @param order
     * @return
     */
    @RequestMapping("/create")
    public R create(@RequestBody Order order){
        // System.out.println("order:"+order);
        order.setOrder_time(new Date());
        orderService.save(order);
        System.out.println(order.getId());
        for(OrderDetail od:order.getGoods_list()){
            od.setMId(order.getId());
            orderDetailService.save(od);
        }
        return R.ok();
    }

    /**
     * 根据条件获取订单
     * @param table_number
     * @param transac_status
     * @return
     */
    @RequestMapping("/get")
    public R get(String table_number,String transac_status){
        Order order=orderService.list(new QueryWrapper<Order>().eq("table_number", table_number).eq("transac_status", transac_status).orderByDesc("order_time")).get(0);
        System.out.println("11:"+order);
        List<OrderDetail> goods_list = orderDetailService.list(new QueryWrapper<OrderDetail>().eq("mId", order.getId()));
        Map<String,Object> map=new HashMap<>();
        map.put("goods_list",goods_list);
        map.put("menu",order);
        return R.ok(map);
    }


}
